﻿// <auto-generated />
using System;
using Demo.OmniChannel.Infrastructure.Persistence.Ef;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace Demo.OmniChannel.Api.Migrations
{
    [DbContext(typeof(EfDbContext))]
    [Migration("20210310075625_InitialCreate")]
    partial class InitialCreate
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.1.14-servicing-32113")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("Demo.OmniChannel.Domain.Model.OmniChannel", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<long?>("BasePriceBookId");

                    b.Property<int>("BranchId");

                    b.Property<long>("CreateBy");

                    b.Property<DateTime>("CreatedDate");

                    b.Property<string>("Email");

                    b.Property<string>("ExtraKey");

                    b.Property<string>("IdentityKey");

                    b.Property<bool>("IsActive");

                    b.Property<bool>("IsApplyAllFormula");

                    b.Property<bool?>("IsAutoDeleteMapping");

                    b.Property<bool>("IsAutoMappingProduct");

                    b.Property<bool?>("IsDeleted");

                    b.Property<long?>("ModifiedBy");

                    b.Property<DateTime?>("ModifiedDate");

                    b.Property<string>("Name");

                    b.Property<long?>("PriceBookId");

                    b.Property<DateTime?>("RegisterDate");

                    b.Property<int>("RetailerId");

                    b.Property<byte>("Status");

                    b.Property<byte>("SyncOnHandFormula");

                    b.Property<int?>("SyncOrderFormula");

                    b.Property<byte>("Type");

                    b.HasKey("Id");

                    b.HasIndex("RetailerId")
                        .HasName("NonClusteredIndex_OmniChannelApp")
                        .HasAnnotation("SqlServer:IncludeIndex", "[BranchId], [PriceBookId]");

                    b.ToTable("OmniChannel");
                });

            modelBuilder.Entity("Demo.OmniChannel.Domain.Model.OmniChannelAuth", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AccessToken")
                        .HasMaxLength(1000);

                    b.Property<long>("CreateBy");

                    b.Property<DateTime>("CreatedDate");

                    b.Property<int>("ExpiresIn");

                    b.Property<DateTime?>("ExpiryDate");

                    b.Property<long?>("ModifiedBy");

                    b.Property<DateTime?>("ModifiedDate");

                    b.Property<long?>("OmniChannelId");

                    b.Property<int>("RefreshExpiresIn");

                    b.Property<string>("RefreshToken")
                        .HasMaxLength(1000);

                    b.Property<long>("ShopId");

                    b.HasKey("Id");

                    b.HasIndex("OmniChannelId")
                        .IsUnique()
                        .HasFilter("[OmniChannelId] IS NOT NULL");

                    b.ToTable("OmniChannelAuth");
                });

            modelBuilder.Entity("Demo.OmniChannel.Domain.Model.OmniChannelSchedule", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<bool>("IsRunning");

                    b.Property<DateTime?>("LastSync");

                    b.Property<DateTime?>("NextRun");

                    b.Property<long>("OmniChannelId");

                    b.Property<int>("Type");

                    b.HasKey("Id");

                    b.HasIndex("OmniChannelId");

                    b.ToTable("OmniChannelSchedule");
                });

            modelBuilder.Entity("Demo.OmniChannel.Domain.Model.OmniChannelAuth", b =>
                {
                    b.HasOne("Demo.OmniChannel.Domain.Model.OmniChannel", "OmniChannel")
                        .WithOne("OmniChannelAuth")
                        .HasForeignKey("Demo.OmniChannel.Domain.Model.OmniChannelAuth", "OmniChannelId");
                });

            modelBuilder.Entity("Demo.OmniChannel.Domain.Model.OmniChannelSchedule", b =>
                {
                    b.HasOne("Demo.OmniChannel.Domain.Model.OmniChannel", "OmniChannel")
                        .WithMany("OmniChannelSchedules")
                        .HasForeignKey("OmniChannelId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

#pragma warning restore 612, 618
        }
    }
}
